package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Add_new_subscription;
import com.realnet.basicp1.Services.Add_new_subscriptionService ;
















@RequestMapping(value = "/token/Add_new_subscription")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Add_new_subscriptionController {
	@Autowired
	private Add_new_subscriptionService Service;

@Value("${projectPath}")
	private String projectPath;
 
















	@PostMapping("/Add_new_subscription")
		  public Add_new_subscription Savedata(@RequestBody Add_new_subscription data) {
		Add_new_subscription save = Service.Savedata(data)	;















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Add_new_subscription/{id}")
	public  Add_new_subscription update(@RequestBody Add_new_subscription data,@PathVariable Integer id ) {
		Add_new_subscription update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Add_new_subscription/getall/page")
	public Page<Add_new_subscription> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Add_new_subscription> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Add_new_subscription")
	public List<Add_new_subscription> getdetails() {
		 List<Add_new_subscription> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Add_new_subscription")
	public List<Add_new_subscription> getallwioutsec() {
		 List<Add_new_subscription> get = Service.getdetails();		
		return get;
}
@GetMapping("/Add_new_subscription/{id}")
	public  Add_new_subscription  getdetailsbyId(@PathVariable Integer id ) {
		Add_new_subscription  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Add_new_subscription/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

















}